function Z = aux_stat(data)

	# variables coming in are  c i n (cons, inv, hours)
	cons = data(:,1);	# consumption
	invest = data(:,2);	# investment
	hours = data(:,3);	# hours
	output  = cons + invest; 	# output
	
# 	# basic moments taken from Ruge-Murcia
# 	dt = slog(data);
# 	nob = size(dt,1); % number of observations 
# 	nvar = size(dt,2); % number of variables
# 	# Variance and covariances
# 	for i = 1:nvar
# 		for j = i:nvar
# 			if (i==1) & (j==1)
# 			vars = dt(3:nob,i).*dt(3:nob,j);
# 			else
# 			vars = [vars dt(3:nob,i).*dt(3:nob,j)];  
# 			end
# 		end
# 	end
# 	autoc1 = dt(3:nob,:).*dt(2:nob-1,:);
# 	autoc2 = dt(3:nob,:).*dt(1:nob-2,:);
# 	# Skewness
# 	for i = 1:nvar
# 		if (i==1)
# 			skew = dt(3:nob,i).*dt(3:nob,i).*dt(3:nob,i);
# 		else
# 			skew = [skew dt(3:nob,i).*dt(3:nob,i).*dt(3:nob,i)];  
# 		end
# 	end
# 	momm = [mean(vars)';mean(autoc1)';mean(autoc2)'];
# 	momm = [mean(vars)';mean(autoc1)';mean(autoc2)';mean(skew)'];

	# some tailor made stats
	if var(log(hours))>0.0001
		[alpha, sig, e]  = ols(log(output),log(hours));
		alpha = 1-alpha;
		sig = sqrt(sig);
		rho = cor(e(2:rows(e),:),e(1:rows(e)-1,:));
	else # set to indicators
  		alpha = -10;
      		sig = -10;
		rho = -10;
	endif		
	
	z = [cons./output invest./output hours./output hours./cons invest./cons output./cons cons./hours invest./hours output./hours cons./invest hours./invest  output./invest];
	z = mean(z)';
	
	# assemble the aux stat
	Z = [alpha; rho; sig; z]; 
endfunction
